Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class ComponentOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator

All Implemented Interfaces:
  Outputable, Timeoutable

Direct Known Subclasses:
  ButtonOperator, CheckboxOperator, ChoiceOperator, ContainerOperator, LabelOperator, ListOperator, ScrollbarOperator, TextComponentOperator

public class ComponentOperator
extends Operator
implements Timeoutable, Outputable

Root class for all component operators. Provides basic methods to operate with mouse and keyboard.
Almost all input methods can throw JemmyInputException or its subclass.
ComponentOperator and its subclasses has a lot of methods which name and parameters just like consistent component has. In this case operator class just invokes consistent component method through AWT Event Queue (invokeAndWait method).
Timeouts used:
ComponentOperator.PushKeyTimeout - time between key pressing and releasing
ComponentOperator.MouseClickTimeout - time between mouse pressing and releasing
ComponentOperator.WaitComponentTimeout - time to wait component displayed
ComponentOperator.WaitComponentEnabledTimeout - time to wait component enabled
ComponentOperator.BeforeDragTimeout - time to sleep before grag'n'drop operations
ComponentOperator.AfterDragTimeout - time to sleep after grag'n'drop operations
ComponentOperator.WaitFocusTimeout - time to wait component focus
ComponentOperator.WaitStateTimeout- time to wait component to be in some state. Typically used from methods like `Operator.wait"something happened"(*)`
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `HEIGHT_DPROP` Identifier for a height property.
`static java.lang.String` | `IS_SHOWING_DPROP` Identifier for a showing property.
`static java.lang.String` | `IS_VISIBLE_DPROP` Identifier for a visible property.
`static java.lang.String` | `WIDTH_DPROP` Identifier for a width property.
`static java.lang.String` | `X_DPROP` Identifier for a x coordinate property.
`static java.lang.String` | `Y_DPROP` Identifier for a y coordinate property.

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`ComponentOperator(java.awt.Component comp)` Constructor.
`ComponentOperator(ContainerOperator cont)` Constructor.
`ComponentOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a ComponentOperator object.
`ComponentOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a ComponentOperator object.
`ComponentOperator(ContainerOperator cont, int index)` Constructor.

Method Summary
`void` | `activateWindow()` Deprecated. Use makeComponentVisible() instead.
`void` | `add(java.awt.PopupMenu popupMenu)` Maps `Component.add(PopupMenu)` through queue
`void` | `addComponentListener(java.awt.event.ComponentListener componentListener)` Maps `Component.addComponentListener(ComponentListener)` through queue
`void` | `addFocusListener(java.awt.event.FocusListener focusListener)` Maps `Component.addFocusListener(FocusListener)` through queue
`void` | `addInputMethodListener(java.awt.event.InputMethodListener inputMethodListener)` Maps `Component.addInputMethodListener(InputMethodListener)` through queue
`void` | `addKeyListener(java.awt.event.KeyListener keyListener)` Maps `Component.addKeyListener(KeyListener)` through queue
`void` | `addMouseListener(java.awt.event.MouseListener mouseListener)` Maps `Component.addMouseListener(MouseListener)` through queue
`void` | `addMouseMotionListener(java.awt.event.MouseMotionListener mouseMotionListener)` Maps `Component.addMouseMotionListener(MouseMotionListener)` through queue
`void` | `addNotify()` Maps `Component.addNotify()` through queue
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener propertyChangeListener)` Maps `Component.addPropertyChangeListener(PropertyChangeListener)` through queue
`void` | `addPropertyChangeListener(java.lang.String string, java.beans.PropertyChangeListener propertyChangeListener)` Maps `Component.addPropertyChangeListener(String, PropertyChangeListener)` through queue
`int` | `checkImage(java.awt.Image image, java.awt.image.ImageObserver imageObserver)` Maps `Component.checkImage(Image, ImageObserver)` through queue
`int` | `checkImage(java.awt.Image image, int i, int i1, java.awt.image.ImageObserver imageObserver)` Maps `Component.checkImage(Image, int, int, ImageObserver)` through queue
`void` | `clickForPopup()` Clicks for popup by popup mouse button at the component center.
`void` | `clickForPopup(int mouseButton)` Clicks for popup at the component center.
`void` | `clickForPopup(int x, int y)` Clicks for popup by popup mouse button.
`void` | `clickForPopup(int x, int y, int mouseButton)` Clicks for popup.
`void` | `clickMouse()` Makes siple mouse click on the component center by default mouse button with 0 modifiers.
`void` | `clickMouse(int clickCount)` Makes mouse click on the component center by default mouse button with 0 modifiers.
`void` | `clickMouse(int clickCount, int mouseButton)` Makes mouse click on the component center with 0 modifiers.
`void` | `clickMouse(int x, int y, int clickCount)` Makes mouse click by default mouse button with 0 modifiers.
`void` | `clickMouse(int x, int y, int clickCount, int mouseButton)` Makes mouse click with 0 modifiers.
`void` | `clickMouse(int x, int y, int clickCount, int mouseButton, int modifiers)` Makes mouse click.
`void` | `clickMouse(int x, int y, int clickCount, int mouseButton, int modifiers, boolean forPopup)` Makes mouse click.
`boolean` | `contains(int i, int i1)` Maps `Component.contains(int, int)` through queue
`boolean` | `contains(java.awt.Point point)` Maps `Component.contains(Point)` through queue
`void` | `copyEnvironment(Operator anotherOperator)` Copies all environment (output, timeouts, visualizer) from another operator.
`java.awt.Image` | `createImage(java.awt.image.ImageProducer imageProducer)` Maps `Component.createImage(ImageProducer)` through queue
`java.awt.Image` | `createImage(int i, int i1)` Maps `Component.createImage(int, int)` through queue
`void` | `dispatchEvent(java.awt.AWTEvent aWTEvent)` Maps `Component.dispatchEvent(AWTEvent)` through queue
`void` | `doLayout()` Maps `Component.doLayout()` through queue
`void` | `dragMouse(int x, int y)` Drag mouse over the component with 0 modifiers and default mose button pressed.
`void` | `dragMouse(int x, int y, int mouseButton)` Drag mouse over the component with 0 modifiers.
`void` | `dragMouse(int x, int y, int mouseButton, int modifiers)` Drag mouse over the component.
`void` | `dragNDrop(int start_x, int start_y, int end_x, int end_y)` Makes drag'n'drop operation by default mouse buttons with 0 modifiers.
`void` | `dragNDrop(int start_x, int start_y, int end_x, int end_y, int mouseButton)` Makes drag'n'drop operation with 0 modifiers.
`void` | `dragNDrop(int start_x, int start_y, int end_x, int end_y, int mouseButton, int modifiers)` Makes drag'n'drop operation.
`void` | `enableInputMethods(boolean b)` Maps `Component.enableInputMethods(boolean)` through queue
`void` | `enterMouse()` Move mouse inside the component.
`void` | `exitMouse()` Move mouse outside the component.
`static java.awt.Component` | `findComponent(java.awt.Container cont, ComponentChooser chooser)` Searches Component in container.
`static java.awt.Component` | `findComponent(java.awt.Container cont, ComponentChooser chooser, int index)` Searches Component in container.
`float` | `getAlignmentX()` Maps `Component.getAlignmentX()` through queue
`float` | `getAlignmentY()` Maps `Component.getAlignmentY()` through queue
`java.awt.Color` | `getBackground()` Maps `Component.getBackground()` through queue
`java.awt.Rectangle` | `getBounds()` Maps `Component.getBounds()` through queue
`java.awt.Rectangle` | `getBounds(java.awt.Rectangle rectangle)` Maps `Component.getBounds(Rectangle)` through queue
`int` | `getCenterX()` Return the center x coordinate.
`int` | `getCenterXForClick()` Return the x coordinate which should be used for mouse operations by default.
`int` | `getCenterY()` Return the center y coordinate.
`int` | `getCenterYForClick()` Return the y coordinate which should be used for mouse operations by default.
`java.awt.image.ColorModel` | `getColorModel()` Maps `Component.getColorModel()` through queue
`java.awt.Component` | `getComponentAt(int i, int i1)` Maps `Component.getComponentAt(int, int)` through queue
`java.awt.Component` | `getComponentAt(java.awt.Point point)` Maps `Component.getComponentAt(Point)` through queue
`java.awt.ComponentOrientation` | `getComponentOrientation()` Maps `Component.getComponentOrientation()` through queue
`java.awt.Container` | `getContainer(ComponentChooser chooser)` Searches a container.
`java.awt.Container[]` | `getContainers()` Returns an array of containers for this component.
`java.awt.Cursor` | `getCursor()` Maps `Component.getCursor()` through queue
`java.awt.dnd.DropTarget` | `getDropTarget()` Maps `Component.getDropTarget()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`EventDispatcher` | `getEventDispatcher()` Returnes org.netbeans.jemmy.EventDispatcher instance which is used to dispatch events.
`void` | `getFocus()` Gives inout focud to the component.
`java.awt.Font` | `getFont()` Maps `Component.getFont()` through queue
`java.awt.FontMetrics` | `getFontMetrics(java.awt.Font font)` Maps `Component.getFontMetrics(Font)` through queue
`java.awt.Color` | `getForeground()` Maps `Component.getForeground()` through queue
`java.awt.Graphics` | `getGraphics()` Maps `Component.getGraphics()` through queue
`int` | `getHeight()` Maps `Component.getHeight()` through queue
`java.awt.im.InputContext` | `getInputContext()` Maps `Component.getInputContext()` through queue
`java.awt.im.InputMethodRequests` | `getInputMethodRequests()` Maps `Component.getInputMethodRequests()` through queue
`java.util.Locale` | `getLocale()` Maps `Component.getLocale()` through queue
`java.awt.Point` | `getLocation()` Maps `Component.getLocation()` through queue
`java.awt.Point` | `getLocation(java.awt.Point point)` Maps `Component.getLocation(Point)` through queue
`java.awt.Point` | `getLocationOnScreen()` Maps `Component.getLocationOnScreen()` through queue
`java.awt.Dimension` | `getMaximumSize()` Maps `Component.getMaximumSize()` through queue
`java.awt.Dimension` | `getMinimumSize()` Maps `Component.getMinimumSize()` through queue
`java.lang.String` | `getName()` Maps `Component.getName()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`java.awt.Container` | `getParent()` Maps `Component.getParent()` through queue
`java.awt.Dimension` | `getPreferredSize()` Maps `Component.getPreferredSize()` through queue
`java.awt.Dimension` | `getSize()` Maps `Component.getSize()` through queue
`java.awt.Dimension` | `getSize(java.awt.Dimension dimension)` Maps `Component.getSize(Dimension)` through queue
`java.awt.Component` | `getSource()` Returns component.
`Timeouts` | `getTimeouts()` Return current timeouts.
`java.awt.Toolkit` | `getToolkit()` Maps `Component.getToolkit()` through queue
`java.lang.Object` | `getTreeLock()` Maps `Component.getTreeLock()` through queue
`int` | `getWidth()` Maps `Component.getWidth()` through queue
`java.awt.Window` | `getWindow()` Searches the window under component.
`int` | `getX()` Maps `Component.getX()` through queue
`int` | `getY()` Maps `Component.getY()` through queue
`boolean` | `hasFocus()` Maps `Component.hasFocus()` through queue
`boolean` | `imageUpdate(java.awt.Image image, int i, int i1, int i2, int i3, int i4)` Maps `Component.imageUpdate(Image, int, int, int, int, int)` through queue
`void` | `invalidate()` Maps `Component.invalidate()` through queue
`boolean` | `isDisplayable()` Maps `Component.isDisplayable()` through queue
`boolean` | `isDoubleBuffered()` Maps `Component.isDoubleBuffered()` through queue
`boolean` | `isEnabled()` Maps `Component.isEnabled()` through queue
`boolean` | `isFocusTraversable()` Maps `Component.isFocusTraversable()` through queue
`boolean` | `isLightweight()` Maps `Component.isLightweight()` through queue
`boolean` | `isOpaque()` Maps `Component.isOpaque()` through queue
`boolean` | `isShowing()` Maps `Component.isShowing()` through queue
`boolean` | `isValid()` Maps `Component.isValid()` through queue
`boolean` | `isVisible()` Maps `Component.isVisible()` through queue
`void` | `list()` Maps `Component.list()` through queue
`void` | `list(java.io.PrintStream printStream)` Maps `Component.list(PrintStream)` through queue
`void` | `list(java.io.PrintStream printStream, int i)` Maps `Component.list(PrintStream, int)` through queue
`void` | `list(java.io.PrintWriter printWriter)` Maps `Component.list(PrintWriter)` through queue
`void` | `list(java.io.PrintWriter printWriter, int i)` Maps `Component.list(PrintWriter, int)` through queue
`void` | `makeComponentVisible()` Prepares component for user input.
`void` | `moveMouse(int x, int y)` Move mouse over the component.
`void` | `paint(java.awt.Graphics graphics)` Maps `Component.paint(Graphics)` through queue
`void` | `paintAll(java.awt.Graphics graphics)` Maps `Component.paintAll(Graphics)` through queue
`boolean` | `prepareImage(java.awt.Image image, java.awt.image.ImageObserver imageObserver)` Maps `Component.prepareImage(Image, ImageObserver)` through queue
`boolean` | `prepareImage(java.awt.Image image, int i, int i1, java.awt.image.ImageObserver imageObserver)` Maps `Component.prepareImage(Image, int, int, ImageObserver)` through queue
`void` | `pressKey(int keyCode)` Press key with no modifiers.
`void` | `pressKey(int keyCode, int modifiers)` Press key.
`void` | `pressMouse()` Press mouse.
`void` | `pressMouse(int x, int y)` Press mouse.
`void` | `print(java.awt.Graphics graphics)` Maps `Component.print(Graphics)` through queue
`void` | `printAll(java.awt.Graphics graphics)` Maps `Component.printAll(Graphics)` through queue
`void` | `pushKey(int keyCode)` Pushs key.
`void` | `pushKey(int keyCode, int modifiers)` Pushs key.
`void` | `releaseKey(int keyCode)` Releases key with no modifiers.
`void` | `releaseKey(int keyCode, int modifiers)` Releases key.
`void` | `releaseMouse()` Releases mouse.
`void` | `releaseMouse(int x, int y)` Releases mouse.
`void` | `remove(java.awt.MenuComponent menuComponent)` Maps `Component.remove(MenuComponent)` through queue
`void` | `removeComponentListener(java.awt.event.ComponentListener componentListener)` Maps `Component.removeComponentListener(ComponentListener)` through queue
`void` | `removeFocusListener(java.awt.event.FocusListener focusListener)` Maps `Component.removeFocusListener(FocusListener)` through queue
`void` | `removeInputMethodListener(java.awt.event.InputMethodListener inputMethodListener)` Maps `Component.removeInputMethodListener(InputMethodListener)` through queue
`void` | `removeKeyListener(java.awt.event.KeyListener keyListener)` Maps `Component.removeKeyListener(KeyListener)` through queue
`void` | `removeMouseListener(java.awt.event.MouseListener mouseListener)` Maps `Component.removeMouseListener(MouseListener)` through queue
`void` | `removeMouseMotionListener(java.awt.event.MouseMotionListener mouseMotionListener)` Maps `Component.removeMouseMotionListener(MouseMotionListener)` through queue
`void` | `removeNotify()` Maps `Component.removeNotify()` through queue
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener propertyChangeListener)` Maps `Component.removePropertyChangeListener(PropertyChangeListener)` through queue
`void` | `removePropertyChangeListener(java.lang.String string, java.beans.PropertyChangeListener propertyChangeListener)` Maps `Component.removePropertyChangeListener(String, PropertyChangeListener)` through queue
`void` | `repaint()` Maps `Component.repaint()` through queue
`void` | `repaint(int i, int i1, int i2, int i3)` Maps `Component.repaint(int, int, int, int)` through queue
`void` | `repaint(long l)` Maps `Component.repaint(long)` through queue
`void` | `repaint(long l, int i, int i1, int i2, int i3)` Maps `Component.repaint(long, int, int, int, int)` through queue
`void` | `requestFocus()` Maps `Component.requestFocus()` through queue
`void` | `setBackground(java.awt.Color color)` Maps `Component.setBackground(Color)` through queue
`void` | `setBounds(int i, int i1, int i2, int i3)` Maps `Component.setBounds(int, int, int, int)` through queue
`void` | `setBounds(java.awt.Rectangle rectangle)` Maps `Component.setBounds(Rectangle)` through queue
`void` | `setComponentOrientation(java.awt.ComponentOrientation componentOrientation)` Maps `Component.setComponentOrientation(ComponentOrientation)` through queue
`void` | `setCursor(java.awt.Cursor cursor)` Maps `Component.setCursor(Cursor)` through queue
`void` | `setDropTarget(java.awt.dnd.DropTarget dropTarget)` Maps `Component.setDropTarget(DropTarget)` through queue
`void` | `setEnabled(boolean b)` Maps `Component.setEnabled(boolean)` through queue
`void` | `setFont(java.awt.Font font)` Maps `Component.setFont(Font)` through queue
`void` | `setForeground(java.awt.Color color)` Maps `Component.setForeground(Color)` through queue
`void` | `setLocale(java.util.Locale locale)` Maps `Component.setLocale(Locale)` through queue
`void` | `setLocation(int i, int i1)` Maps `Component.setLocation(int, int)` through queue
`void` | `setLocation(java.awt.Point point)` Maps `Component.setLocation(Point)` through queue
`void` | `setName(java.lang.String string)` Maps `Component.setName(String)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setSize(java.awt.Dimension dimension)` Maps `Component.setSize(Dimension)` through queue
`void` | `setSize(int i, int i1)` Maps `Component.setSize(int, int)` through queue
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`void` | `setVisible(boolean b)` Maps `Component.setVisible(boolean)` through queue
`void` | `transferFocus()` Maps `Component.transferFocus()` through queue
`void` | `typeKey(char keyChar)` Types one char.
`void` | `typeKey(char keyChar, int modifiers)` Types one char.
`void` | `typeKey(int keyCode, char keyChar, int modifiers)` Types one char.
`void` | `update(java.awt.Graphics graphics)` Maps `Component.update(Graphics)` through queue
`void` | `validate()` Maps `Component.validate()` through queue
`static java.awt.Component` | `waitComponent(java.awt.Container cont, ComponentChooser chooser)` Waits Component in container.
`static java.awt.Component` | `waitComponent(java.awt.Container cont, ComponentChooser chooser, int index)` Waits Component in container.
`protected static java.awt.Component` | `waitComponent(java.awt.Container cont, ComponentChooser chooser, int index, Timeouts timeouts, TestOut output)` A method to be used from subclasses.
`protected static java.awt.Component` | `waitComponent(ContainerOperator contOper, ComponentChooser chooser, int index)` A method to be used from subclasses.
`void` | `waitComponentEnabled()` Waits for component enabled.
`void` | `waitComponentShowing(boolean visibility)`
`void` | `waitComponentVisible(boolean visibility)` Waits for the component to be visible or unvisible.
`void` | `waitHasFocus()` Waits for this Component has the keyboard focus.

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IS_VISIBLE_DPROP

    public static final java.lang.String IS_VISIBLE_DPROP

  Identifier for a visible property.
  See Also:
    `getDump()`

### IS_SHOWING_DPROP

    public static final java.lang.String IS_SHOWING_DPROP

  Identifier for a showing property.
  See Also:
    `getDump()`

### X_DPROP

    public static final java.lang.String X_DPROP

  Identifier for a x coordinate property.
  See Also:
    `getDump()`

### Y_DPROP

    public static final java.lang.String Y_DPROP

  Identifier for a y coordinate property.
  See Also:
    `getDump()`

### WIDTH_DPROP

    public static final java.lang.String WIDTH_DPROP

  Identifier for a width property.
  See Also:
    `getDump()`

### HEIGHT_DPROP

    public static final java.lang.String HEIGHT_DPROP

  Identifier for a height property.
  See Also:
    `getDump()`

Constructor Detail

### ComponentOperator

    public ComponentOperator(java.awt.Component comp)

  Constructor.
  Parameters:
    `comp` - a component

### ComponentOperator

    public ComponentOperator(ContainerOperator cont,
                             ComponentChooser chooser,
                             int index)

  Constructs a ComponentOperator object.
  Parameters:
    `cont` - container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### ComponentOperator

    public ComponentOperator(ContainerOperator cont,
                             ComponentChooser chooser)

  Constructs a ComponentOperator object.
  Parameters:
    `cont` - container
    `chooser` - a component chooser specifying searching criteria.

### ComponentOperator

    public ComponentOperator(ContainerOperator cont,
                             int index)

  Constructor. Waits for a component in a container to show. The component is iis the `index+1`'th `java.awt.Component` that shows and that lies below the container in the display containment hierarchy. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator for a java.awt.Container.
    `index` - an index between appropriate ones.
  Throws:
    `TimeoutExpiredException` -

### ComponentOperator

    public ComponentOperator(ContainerOperator cont)

  Constructor. Waits for a component in a container to show. The component is is the first `java.awt.Component` that shows and that lies below the container in the display containment hierarchy. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator for a java.awt.Container.
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findComponent

    public static java.awt.Component findComponent(java.awt.Container cont,
                                                   ComponentChooser chooser,
                                                   int index)

  Searches Component in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    Component instance or null if component was not found.

### findComponent

    public static java.awt.Component findComponent(java.awt.Container cont,
                                                   ComponentChooser chooser)

  Searches Component in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    Component instance or null if component was not found.

### waitComponent

    public static java.awt.Component waitComponent(java.awt.Container cont,
                                                   ComponentChooser chooser,
                                                   int index)

  Waits Component in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    Component instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -

### waitComponent

    public static java.awt.Component waitComponent(java.awt.Container cont,
                                                   ComponentChooser chooser)

  Waits Component in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    Component instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -

### waitComponent

    protected static java.awt.Component waitComponent(ContainerOperator contOper,
                                                      ComponentChooser chooser,
                                                      int index)

  A method to be used from subclasses. Uses `contOper`'s timeouts and output during the waiting.
  Parameters:
    `contOper` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    Component instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -

### waitComponent

    protected static java.awt.Component waitComponent(java.awt.Container cont,
                                                      ComponentChooser chooser,
                                                      int index,
                                                      Timeouts timeouts,
                                                      TestOut output)

  A method to be used from subclasses. Uses timeouts and output passed as parameters during the waiting.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
    `timeouts` - timeouts to be used during the waiting.
    `output` - an output to be used during the waiting.
  Returns:
    Component instance or null if component was not found.
  Throws:
    `TimeoutExpiredException` -

### getSource

    public java.awt.Component getSource()

  Returns component.
  Overrides:
    `getSource` in class `Operator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    an instance of java.awt.Component subclass which this operator was created for.

### getEventDispatcher

    public EventDispatcher getEventDispatcher()

  Returnes org.netbeans.jemmy.EventDispatcher instance which is used to dispatch events.
  Returns:
    the dispatcher.
  See Also:
    `EventDispatcher`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `Operator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `Operator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `Operator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `Operator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### copyEnvironment

    public void copyEnvironment(Operator anotherOperator)

  Description copied from class: `Operator`
  Copies all environment (output, timeouts, visualizer) from another operator.
  Overrides:
    `copyEnvironment` in class `Operator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Parameters:
    `anotherOperator` - an operator to copy the environment to.

### clickMouse

    public void clickMouse(int x,
                           int y,
                           int clickCount,
                           int mouseButton,
                           int modifiers,
                           boolean forPopup)

  Makes mouse click.
  Parameters:
    `x` - Horizontal click coordinate
    `y` - Vertical click coordinate
    `clickCount` - Click count
    `mouseButton` - Mouse button (InputEvent.BUTTON1/2/3_MASK value)
    `modifiers` - Modifiers (combination of InputEvent.*_MASK values)
    `forPopup` - signals that click is intended to call popup.

### clickMouse

    public void clickMouse(int x,
                           int y,
                           int clickCount,
                           int mouseButton,
                           int modifiers)

  Makes mouse click.
  Parameters:
    `x` - Horizontal click coordinate
    `y` - Vertical click coordinate
    `clickCount` - Click count
    `mouseButton` - Mouse button (InputEvent.BUTTON1/2/3_MASK value)
    `modifiers` - Modifiers (combination of InputEvent.*_MASK values)
  See Also:
    `clickMouse(int, int, int, int, int, boolean)`

### clickMouse

    public void clickMouse(int x,
                           int y,
                           int clickCount,
                           int mouseButton)

  Makes mouse click with 0 modifiers.
  Parameters:
    `x` - Horizontal click coordinate
    `y` - Vertical click coordinate
    `clickCount` - Click count
    `mouseButton` - Mouse button (InputEvent.BUTTON1/2/3_MASK value)
  See Also:
    `clickMouse(int, int, int, int, int)`

### clickMouse

    public void clickMouse(int x,
                           int y,
                           int clickCount)

  Makes mouse click by default mouse button with 0 modifiers.
  Parameters:
    `x` - Horizontal click coordinate
    `y` - Vertical click coordinate
    `clickCount` - Click count
  See Also:
    `clickMouse(int, int, int, int)`, `Operator.getDefaultMouseButton()`

### pressMouse

    public void pressMouse(int x,
                           int y)

  Press mouse.
  Parameters:
    `x` - Horizontal click coordinate
    `y` - Vertical click coordinate

### releaseMouse

    public void releaseMouse(int x,
                             int y)

  Releases mouse.
  Parameters:
    `x` - Horizontal click coordinate
    `y` - Vertical click coordinate

### moveMouse

    public void moveMouse(int x,
                          int y)

  Move mouse over the component.
  Parameters:
    `x` - Horisontal destination coordinate.
    `y` - Vertical destination coordinate.

### dragMouse

    public void dragMouse(int x,
                          int y,
                          int mouseButton,
                          int modifiers)

  Drag mouse over the component.
  Parameters:
    `x` - Horisontal destination coordinate.
    `y` - Vertical destination coordinate.
    `mouseButton` - Mouse button
    `modifiers` - Modifiers

### dragMouse

    public void dragMouse(int x,
                          int y,
                          int mouseButton)

  Drag mouse over the component with 0 modifiers.
  Parameters:
    `x` - Horisontal destination coordinate.
    `y` - Vertical destination coordinate.
    `mouseButton` - Mouse button
  See Also:
    `dragMouse(int, int, int, int)`

### dragMouse

    public void dragMouse(int x,
                          int y)

  Drag mouse over the component with 0 modifiers and default mose button pressed.
  Parameters:
    `x` - Horisontal destination coordinate.
    `y` - Vertical destination coordinate.
  See Also:
    `dragMouse(int, int, int)`, `Operator.getDefaultMouseButton()`

### dragNDrop

    public void dragNDrop(int start_x,
                          int start_y,
                          int end_x,
                          int end_y,
                          int mouseButton,
                          int modifiers)

  Makes drag'n'drop operation.
  Parameters:
    `start_x` - Start horizontal coordinate
    `start_y` - Start vertical coordinate
    `end_x` - End horizontal coordinate
    `end_y` - End vertical coordinate
    `mouseButton` - Mouse button
    `modifiers` - Modifiers

### dragNDrop

    public void dragNDrop(int start_x,
                          int start_y,
                          int end_x,
                          int end_y,
                          int mouseButton)

  Makes drag'n'drop operation with 0 modifiers.
  Parameters:
    `start_x` - Start horizontal coordinate
    `start_y` - Start vertical coordinate
    `end_x` - End horizontal coordinate
    `end_y` - End vertical coordinate
    `mouseButton` - Mouse button
  See Also:
    `dragNDrop(int, int, int, int, int, int)`

### dragNDrop

    public void dragNDrop(int start_x,
                          int start_y,
                          int end_x,
                          int end_y)

  Makes drag'n'drop operation by default mouse buttons with 0 modifiers.
  Parameters:
    `start_x` - Start horizontal coordinate
    `start_y` - Start vertical coordinate
    `end_x` - End horizontal coordinate
    `end_y` - End vertical coordinate
  See Also:
    `dragNDrop(int, int, int, int, int)`, `Operator.getDefaultMouseButton()`

### clickForPopup

    public void clickForPopup(int x,
                              int y,
                              int mouseButton)

  Clicks for popup.
  Parameters:
    `x` - Horizontal click coordinate.
    `y` - Vertical click coordinate.
    `mouseButton` - Mouse button.
  See Also:
    `clickMouse(int, int, int, int, int, boolean)`

### clickForPopup

    public void clickForPopup(int x,
                              int y)

  Clicks for popup by popup mouse button.
  Parameters:
    `x` - Horizontal click coordinate.
    `y` - Vertical click coordinate.
  See Also:
    `clickForPopup(int, int, int)`, `Operator.getPopupMouseButton()`

### clickMouse

    public void clickMouse(int clickCount,
                           int mouseButton)

  Makes mouse click on the component center with 0 modifiers.
  Parameters:
    `clickCount` - Click count
    `mouseButton` - Mouse button (InputEvent.BUTTON1/2/3_MASK value)
  See Also:
    `clickMouse(int, int, int, int)`

### clickMouse

    public void clickMouse(int clickCount)

  Makes mouse click on the component center by default mouse button with 0 modifiers.
  Parameters:
    `clickCount` - Click count
  See Also:
    `clickMouse(int, int)`, `Operator.getDefaultMouseButton()`

### clickMouse

    public void clickMouse()

  Makes siple mouse click on the component center by default mouse button with 0 modifiers.
  See Also:
    `clickMouse(int)`, `Operator.getDefaultMouseButton()`

### enterMouse

    public void enterMouse()

  Move mouse inside the component.

### exitMouse

    public void exitMouse()

  Move mouse outside the component.

### pressMouse

    public void pressMouse()

  Press mouse.

### releaseMouse

    public void releaseMouse()

  Releases mouse.

### clickForPopup

    public void clickForPopup(int mouseButton)

  Clicks for popup at the component center.
  Parameters:
    `mouseButton` - Mouse button.
  See Also:
    `clickForPopup(int, int)`

### clickForPopup

    public void clickForPopup()

  Clicks for popup by popup mouse button at the component center.
  See Also:
    `clickForPopup(int)`, `Operator.getPopupMouseButton()`

### pressKey

    public void pressKey(int keyCode,
                         int modifiers)

  Press key.
  Parameters:
    `keyCode` - Key code (KeyEvent.VK_* value)
    `modifiers` - Modifiers (combination of InputEvent.*_MASK fields)

### pressKey

    public void pressKey(int keyCode)

  Press key with no modifiers.
  Parameters:
    `keyCode` - Key code (KeyEvent.VK_* value)

### releaseKey

    public void releaseKey(int keyCode,
                           int modifiers)

  Releases key.
  Parameters:
    `keyCode` - Key code (KeyEvent.VK_* value)
    `modifiers` - Modifiers (combination of InputEvent.*_MASK fields)

### releaseKey

    public void releaseKey(int keyCode)

  Releases key with no modifiers.
  Parameters:
    `keyCode` - Key code (KeyEvent.VK_* value)

### pushKey

    public void pushKey(int keyCode,
                        int modifiers)

  Pushs key.
  Parameters:
    `keyCode` - Key code (KeyEvent.VK_* value)
    `modifiers` - Modifiers (combination of InputEvent.*_MASK fields)

### pushKey

    public void pushKey(int keyCode)

  Pushs key.
  Parameters:
    `keyCode` - Key code (KeyEvent.VK_* value)

### typeKey

    public void typeKey(int keyCode,
                        char keyChar,
                        int modifiers)

  Types one char.
  Parameters:
    `keyCode` - Key code (KeyEvent.VK_* value)
    `keyChar` - Char to be typed.
    `modifiers` - Modifiers (combination of InputEvent.*_MASK fields)

### typeKey

    public void typeKey(char keyChar,
                        int modifiers)

  Types one char. Uses map defined by setCharBindingMap(CharBindingMap) method to find a key should be pressed.
  Parameters:
    `keyChar` - Char to be typed.
    `modifiers` - Modifiers (combination of InputEvent.*_MASK fields)
  See Also:
    `CharBindingMap`, `Operator.setCharBindingMap(CharBindingMap)`, `typeKey(int, char, int)`

### typeKey

    public void typeKey(char keyChar)

  Types one char. Uses map defined by setCharBindingMap(CharBindingMap) method to find a key and modifiers should be pressed.
  Parameters:
    `keyChar` - Char to be typed.
  See Also:
    `Operator.setCharBindingMap(CharBindingMap)`, `typeKey(char, int)`

### activateWindow

    public void activateWindow()

  Deprecated. Use makeComponentVisible() instead.

  Activates component's window.
  See Also:
    `makeComponentVisible()`

### makeComponentVisible

    public void makeComponentVisible()

  Prepares component for user input. Uses visualizer defined by setVisualiser() method.

### getFocus

    public void getFocus()

  Gives inout focud to the component.

### getCenterX

    public int getCenterX()

  Return the center x coordinate.
  Returns:
    the center x coordinate.

### getCenterY

    public int getCenterY()

  Return the center y coordinate.
  Returns:
    the center y coordinate.

### getCenterXForClick

    public int getCenterXForClick()

  Return the x coordinate which should be used for mouse operations by default.
  Returns:
    the center x coordinate of the visible component part.

### getCenterYForClick

    public int getCenterYForClick()

  Return the y coordinate which should be used for mouse operations by default.
  Returns:
    the center y coordinate of the visible component part.

### waitComponentEnabled

    public void waitComponentEnabled()
                              throws java.lang.InterruptedException

  Waits for component enabled.
  Throws:
    `TimeoutExpiredException` -
    `java.lang.InterruptedException` -

### getContainers

    public java.awt.Container[] getContainers()

  Returns an array of containers for this component.
  Returns:
    an array of containers

### getContainer

    public java.awt.Container getContainer(ComponentChooser chooser)

  Searches a container.
  Parameters:
    `chooser` - a chooser specifying the searching criteria.
  Returns:
    a containers specified by searching criteria.

### getWindow

    public java.awt.Window getWindow()

  Searches the window under component.
  Returns:
    the component window.

### waitHasFocus

    public void waitHasFocus()

  Waits for this Component has the keyboard focus.
  Throws:
    `TimeoutExpiredException` -

### waitComponentVisible

    public void waitComponentVisible(boolean visibility)

  Waits for the component to be visible or unvisible.
  Parameters:
    `visibility` - required visiblity.
  Throws:
    `TimeoutExpiredException` -

### waitComponentShowing

    public void waitComponentShowing(boolean visibility)

### getDump

    public java.util.Hashtable getDump()

  Returns information about component.
  Overrides:
    `getDump` in class `Operator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### add

    public void add(java.awt.PopupMenu popupMenu)

  Maps `Component.add(PopupMenu)` through queue

### addComponentListener

    public void addComponentListener(java.awt.event.ComponentListener componentListener)

  Maps `Component.addComponentListener(ComponentListener)` through queue

### addFocusListener

    public void addFocusListener(java.awt.event.FocusListener focusListener)

  Maps `Component.addFocusListener(FocusListener)` through queue

### addInputMethodListener

    public void addInputMethodListener(java.awt.event.InputMethodListener inputMethodListener)

  Maps `Component.addInputMethodListener(InputMethodListener)` through queue

### addKeyListener

    public void addKeyListener(java.awt.event.KeyListener keyListener)

  Maps `Component.addKeyListener(KeyListener)` through queue

### addMouseListener

    public void addMouseListener(java.awt.event.MouseListener mouseListener)

  Maps `Component.addMouseListener(MouseListener)` through queue

### addMouseMotionListener

    public void addMouseMotionListener(java.awt.event.MouseMotionListener mouseMotionListener)

  Maps `Component.addMouseMotionListener(MouseMotionListener)` through queue

### addNotify

    public void addNotify()

  Maps `Component.addNotify()` through queue

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener propertyChangeListener)

  Maps `Component.addPropertyChangeListener(PropertyChangeListener)` through queue

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String string,
                                          java.beans.PropertyChangeListener propertyChangeListener)

  Maps `Component.addPropertyChangeListener(String, PropertyChangeListener)` through queue

### checkImage

    public int checkImage(java.awt.Image image,
                          int i,
                          int i1,
                          java.awt.image.ImageObserver imageObserver)

  Maps `Component.checkImage(Image, int, int, ImageObserver)` through queue

### checkImage

    public int checkImage(java.awt.Image image,
                          java.awt.image.ImageObserver imageObserver)

  Maps `Component.checkImage(Image, ImageObserver)` through queue

### contains

    public boolean contains(int i,
                            int i1)

  Maps `Component.contains(int, int)` through queue

### contains

    public boolean contains(java.awt.Point point)

  Maps `Component.contains(Point)` through queue

### createImage

    public java.awt.Image createImage(int i,
                                      int i1)

  Maps `Component.createImage(int, int)` through queue

### createImage

    public java.awt.Image createImage(java.awt.image.ImageProducer imageProducer)

  Maps `Component.createImage(ImageProducer)` through queue

### dispatchEvent

    public void dispatchEvent(java.awt.AWTEvent aWTEvent)

  Maps `Component.dispatchEvent(AWTEvent)` through queue

### doLayout

    public void doLayout()

  Maps `Component.doLayout()` through queue

### enableInputMethods

    public void enableInputMethods(boolean b)

  Maps `Component.enableInputMethods(boolean)` through queue

### getAlignmentX

    public float getAlignmentX()

  Maps `Component.getAlignmentX()` through queue

### getAlignmentY

    public float getAlignmentY()

  Maps `Component.getAlignmentY()` through queue

### getBackground

    public java.awt.Color getBackground()

  Maps `Component.getBackground()` through queue

### getBounds

    public java.awt.Rectangle getBounds()

  Maps `Component.getBounds()` through queue

### getBounds

    public java.awt.Rectangle getBounds(java.awt.Rectangle rectangle)

  Maps `Component.getBounds(Rectangle)` through queue

### getColorModel

    public java.awt.image.ColorModel getColorModel()

  Maps `Component.getColorModel()` through queue

### getComponentAt

    public java.awt.Component getComponentAt(int i,
                                             int i1)

  Maps `Component.getComponentAt(int, int)` through queue

### getComponentAt

    public java.awt.Component getComponentAt(java.awt.Point point)

  Maps `Component.getComponentAt(Point)` through queue

### getComponentOrientation

    public java.awt.ComponentOrientation getComponentOrientation()

  Maps `Component.getComponentOrientation()` through queue

### getCursor

    public java.awt.Cursor getCursor()

  Maps `Component.getCursor()` through queue

### getDropTarget

    public java.awt.dnd.DropTarget getDropTarget()

  Maps `Component.getDropTarget()` through queue

### getFont

    public java.awt.Font getFont()

  Maps `Component.getFont()` through queue

### getFontMetrics

    public java.awt.FontMetrics getFontMetrics(java.awt.Font font)

  Maps `Component.getFontMetrics(Font)` through queue

### getForeground

    public java.awt.Color getForeground()

  Maps `Component.getForeground()` through queue

### getGraphics

    public java.awt.Graphics getGraphics()

  Maps `Component.getGraphics()` through queue

### getHeight

    public int getHeight()

  Maps `Component.getHeight()` through queue

### getInputContext

    public java.awt.im.InputContext getInputContext()

  Maps `Component.getInputContext()` through queue

### getInputMethodRequests

    public java.awt.im.InputMethodRequests getInputMethodRequests()

  Maps `Component.getInputMethodRequests()` through queue

### getLocale

    public java.util.Locale getLocale()

  Maps `Component.getLocale()` through queue

### getLocation

    public java.awt.Point getLocation()

  Maps `Component.getLocation()` through queue

### getLocation

    public java.awt.Point getLocation(java.awt.Point point)

  Maps `Component.getLocation(Point)` through queue

### getLocationOnScreen

    public java.awt.Point getLocationOnScreen()

  Maps `Component.getLocationOnScreen()` through queue

### getMaximumSize

    public java.awt.Dimension getMaximumSize()

  Maps `Component.getMaximumSize()` through queue

### getMinimumSize

    public java.awt.Dimension getMinimumSize()

  Maps `Component.getMinimumSize()` through queue

### getName

    public java.lang.String getName()

  Maps `Component.getName()` through queue

### getParent

    public java.awt.Container getParent()

  Maps `Component.getParent()` through queue

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Maps `Component.getPreferredSize()` through queue

### getSize

    public java.awt.Dimension getSize()

  Maps `Component.getSize()` through queue

### getSize

    public java.awt.Dimension getSize(java.awt.Dimension dimension)

  Maps `Component.getSize(Dimension)` through queue

### getToolkit

    public java.awt.Toolkit getToolkit()

  Maps `Component.getToolkit()` through queue

### getTreeLock

    public java.lang.Object getTreeLock()

  Maps `Component.getTreeLock()` through queue

### getWidth

    public int getWidth()

  Maps `Component.getWidth()` through queue

### getX

    public int getX()

  Maps `Component.getX()` through queue

### getY

    public int getY()

  Maps `Component.getY()` through queue

### hasFocus

    public boolean hasFocus()

  Maps `Component.hasFocus()` through queue

### imageUpdate

    public boolean imageUpdate(java.awt.Image image,
                               int i,
                               int i1,
                               int i2,
                               int i3,
                               int i4)

  Maps `Component.imageUpdate(Image, int, int, int, int, int)` through queue

### invalidate

    public void invalidate()

  Maps `Component.invalidate()` through queue

### isDisplayable

    public boolean isDisplayable()

  Maps `Component.isDisplayable()` through queue

### isDoubleBuffered

    public boolean isDoubleBuffered()

  Maps `Component.isDoubleBuffered()` through queue

### isEnabled

    public boolean isEnabled()

  Maps `Component.isEnabled()` through queue

### isFocusTraversable

    public boolean isFocusTraversable()

  Maps `Component.isFocusTraversable()` through queue

### isLightweight

    public boolean isLightweight()

  Maps `Component.isLightweight()` through queue

### isOpaque

    public boolean isOpaque()

  Maps `Component.isOpaque()` through queue

### isShowing

    public boolean isShowing()

  Maps `Component.isShowing()` through queue

### isValid

    public boolean isValid()

  Maps `Component.isValid()` through queue

### isVisible

    public boolean isVisible()

  Maps `Component.isVisible()` through queue

### list

    public void list()

  Maps `Component.list()` through queue

### list

    public void list(java.io.PrintStream printStream)

  Maps `Component.list(PrintStream)` through queue

### list

    public void list(java.io.PrintStream printStream,
                     int i)

  Maps `Component.list(PrintStream, int)` through queue

### list

    public void list(java.io.PrintWriter printWriter)

  Maps `Component.list(PrintWriter)` through queue

### list

    public void list(java.io.PrintWriter printWriter,
                     int i)

  Maps `Component.list(PrintWriter, int)` through queue

### paint

    public void paint(java.awt.Graphics graphics)

  Maps `Component.paint(Graphics)` through queue

### paintAll

    public void paintAll(java.awt.Graphics graphics)

  Maps `Component.paintAll(Graphics)` through queue

### prepareImage

    public boolean prepareImage(java.awt.Image image,
                                int i,
                                int i1,
                                java.awt.image.ImageObserver imageObserver)

  Maps `Component.prepareImage(Image, int, int, ImageObserver)` through queue

### prepareImage

    public boolean prepareImage(java.awt.Image image,
                                java.awt.image.ImageObserver imageObserver)

  Maps `Component.prepareImage(Image, ImageObserver)` through queue

### print

    public void print(java.awt.Graphics graphics)

  Maps `Component.print(Graphics)` through queue

### printAll

    public void printAll(java.awt.Graphics graphics)

  Maps `Component.printAll(Graphics)` through queue

### remove

    public void remove(java.awt.MenuComponent menuComponent)

  Maps `Component.remove(MenuComponent)` through queue

### removeComponentListener

    public void removeComponentListener(java.awt.event.ComponentListener componentListener)

  Maps `Component.removeComponentListener(ComponentListener)` through queue

### removeFocusListener

    public void removeFocusListener(java.awt.event.FocusListener focusListener)

  Maps `Component.removeFocusListener(FocusListener)` through queue

### removeInputMethodListener

    public void removeInputMethodListener(java.awt.event.InputMethodListener inputMethodListener)

  Maps `Component.removeInputMethodListener(InputMethodListener)` through queue

### removeKeyListener

    public void removeKeyListener(java.awt.event.KeyListener keyListener)

  Maps `Component.removeKeyListener(KeyListener)` through queue

### removeMouseListener

    public void removeMouseListener(java.awt.event.MouseListener mouseListener)

  Maps `Component.removeMouseListener(MouseListener)` through queue

### removeMouseMotionListener

    public void removeMouseMotionListener(java.awt.event.MouseMotionListener mouseMotionListener)

  Maps `Component.removeMouseMotionListener(MouseMotionListener)` through queue

### removeNotify

    public void removeNotify()

  Maps `Component.removeNotify()` through queue

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener propertyChangeListener)

  Maps `Component.removePropertyChangeListener(PropertyChangeListener)` through queue

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String string,
                                             java.beans.PropertyChangeListener propertyChangeListener)

  Maps `Component.removePropertyChangeListener(String, PropertyChangeListener)` through queue

### repaint

    public void repaint()

  Maps `Component.repaint()` through queue

### repaint

    public void repaint(int i,
                        int i1,
                        int i2,
                        int i3)

  Maps `Component.repaint(int, int, int, int)` through queue

### repaint

    public void repaint(long l)

  Maps `Component.repaint(long)` through queue

### repaint

    public void repaint(long l,
                        int i,
                        int i1,
                        int i2,
                        int i3)

  Maps `Component.repaint(long, int, int, int, int)` through queue

### requestFocus

    public void requestFocus()

  Maps `Component.requestFocus()` through queue

### setBackground

    public void setBackground(java.awt.Color color)

  Maps `Component.setBackground(Color)` through queue

### setBounds

    public void setBounds(int i,
                          int i1,
                          int i2,
                          int i3)

  Maps `Component.setBounds(int, int, int, int)` through queue

### setBounds

    public void setBounds(java.awt.Rectangle rectangle)

  Maps `Component.setBounds(Rectangle)` through queue

### setComponentOrientation

    public void setComponentOrientation(java.awt.ComponentOrientation componentOrientation)

  Maps `Component.setComponentOrientation(ComponentOrientation)` through queue

### setCursor

    public void setCursor(java.awt.Cursor cursor)

  Maps `Component.setCursor(Cursor)` through queue

### setDropTarget

    public void setDropTarget(java.awt.dnd.DropTarget dropTarget)

  Maps `Component.setDropTarget(DropTarget)` through queue

### setEnabled

    public void setEnabled(boolean b)

  Maps `Component.setEnabled(boolean)` through queue

### setFont

    public void setFont(java.awt.Font font)

  Maps `Component.setFont(Font)` through queue

### setForeground

    public void setForeground(java.awt.Color color)

  Maps `Component.setForeground(Color)` through queue

### setLocale

    public void setLocale(java.util.Locale locale)

  Maps `Component.setLocale(Locale)` through queue

### setLocation

    public void setLocation(int i,
                            int i1)

  Maps `Component.setLocation(int, int)` through queue

### setLocation

    public void setLocation(java.awt.Point point)

  Maps `Component.setLocation(Point)` through queue

### setName

    public void setName(java.lang.String string)

  Maps `Component.setName(String)` through queue

### setSize

    public void setSize(int i,
                        int i1)

  Maps `Component.setSize(int, int)` through queue

### setSize

    public void setSize(java.awt.Dimension dimension)

  Maps `Component.setSize(Dimension)` through queue

### setVisible

    public void setVisible(boolean b)

  Maps `Component.setVisible(boolean)` through queue

### transferFocus

    public void transferFocus()

  Maps `Component.transferFocus()` through queue

### update

    public void update(java.awt.Graphics graphics)

  Maps `Component.update(Graphics)` through queue

### validate

    public void validate()

  Maps `Component.validate()` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD